published on Tuesday, Oct 20, 2026 by Pulumi
published on Tuesday, Oct 20, 2026 by Pulumi
Manages an MCP service in Unity Catalog. An MCP service governs access to an MCP server hosted through a Unity Catalog connection.
The Unity Catalog connection must exist before you create the MCP service. MCP services are contained in a Unity Catalog schema and governed by Unity Catalog permissions.
Example Usage
The following example registers an MCP service backed by a Unity Catalog connection:
import * as pulumi from "@pulumi/pulumi";
import * as databricks from "@pulumi/databricks";
const example = new databricks.AiGatewayMcpService("example", {
parent: "schemas/main.default",
mcpServiceId: "knowledge_tools",
comment: "Provides governed access to knowledge tools",
config: {
sourceConnection: {
name: "connections/main.default.mcp_connection",
},
},
});
import pulumi
import pulumi_databricks as databricks
example = databricks.AiGatewayMcpService("example",
parent="schemas/main.default",
mcp_service_id="knowledge_tools",
comment="Provides governed access to knowledge tools",
config={
"source_connection": {
"name": "connections/main.default.mcp_connection",
},
})
package main
import (
"github.com/pulumi/pulumi-databricks/sdk/go/databricks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := databricks.NewAiGatewayMcpService(ctx, "example", &databricks.AiGatewayMcpServiceArgs{
Parent: pulumi.String("schemas/main.default"),
McpServiceId: pulumi.String("knowledge_tools"),
Comment: pulumi.String("Provides governed access to knowledge tools"),
Config: &databricks.AiGatewayMcpServiceConfigArgs{
SourceConnection: &databricks.AiGatewayMcpServiceConfigSourceConnectionArgs{
Name: pulumi.String("connections/main.default.mcp_connection"),
},
},
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Databricks = Pulumi.Databricks;
return await Deployment.RunAsync(() =>
{
var example = new Databricks.AiGatewayMcpService("example", new()
{
Parent = "schemas/main.default",
McpServiceId = "knowledge_tools",
Comment = "Provides governed access to knowledge tools",
Config = new Databricks.Inputs.AiGatewayMcpServiceConfigArgs
{
SourceConnection = new Databricks.Inputs.AiGatewayMcpServiceConfigSourceConnectionArgs
{
Name = "connections/main.default.mcp_connection",
},
},
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.databricks.AiGatewayMcpService;
import com.pulumi.databricks.AiGatewayMcpServiceArgs;
import com.pulumi.databricks.inputs.AiGatewayMcpServiceConfigArgs;
import com.pulumi.databricks.inputs.AiGatewayMcpServiceConfigSourceConnectionArgs;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var example = new AiGatewayMcpService("example", AiGatewayMcpServiceArgs.builder()
.parent("schemas/main.default")
.mcpServiceId("knowledge_tools")
.comment("Provides governed access to knowledge tools")
.config(AiGatewayMcpServiceConfigArgs.builder()
.sourceConnection(AiGatewayMcpServiceConfigSourceConnectionArgs.builder()
.name("connections/main.default.mcp_connection")
.build())
.build())
.build());
}
}
resources:
example:
type: databricks:AiGatewayMcpService
properties:
parent: schemas/main.default
mcpServiceId: knowledge_tools
comment: Provides governed access to knowledge tools
config:
sourceConnection:
name: connections/main.default.mcp_connection
terraform {
required_providers {
databricks = {
source = "pulumi/databricks"
}
}
}
resource "databricks_ai_gateway_mcp_service" "example" {
lifecycle {
create_before_destroy = true
}
parent = "schemas/main.default"
mcp_service_id = "knowledge_tools"
comment = "Provides governed access to knowledge tools"
config = {
source_connection = {
name = "connections/main.default.mcp_connection"
}
}
}
Create AiGatewayMcpService Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new AiGatewayMcpService(name: string, args: AiGatewayMcpServiceArgs, opts?: CustomResourceOptions);@overload
def AiGatewayMcpService(resource_name: str,
args: AiGatewayMcpServiceArgs,
opts: Optional[ResourceOptions] = None)
@overload
def AiGatewayMcpService(resource_name: str,
opts: Optional[ResourceOptions] = None,
mcp_service_id: Optional[str] = None,
parent: Optional[str] = None,
comment: Optional[str] = None,
config: Optional[AiGatewayMcpServiceConfigArgs] = None,
provider_config: Optional[AiGatewayMcpServiceProviderConfigArgs] = None)func NewAiGatewayMcpService(ctx *Context, name string, args AiGatewayMcpServiceArgs, opts ...ResourceOption) (*AiGatewayMcpService, error)public AiGatewayMcpService(string name, AiGatewayMcpServiceArgs args, CustomResourceOptions? opts = null)
public AiGatewayMcpService(String name, AiGatewayMcpServiceArgs args)
public AiGatewayMcpService(String name, AiGatewayMcpServiceArgs args, CustomResourceOptions options)
type: databricks:AiGatewayMcpService
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
resource "databricks_ai_gateway_mcp_service" "name" {
# resource properties
}Parameters
- name string
- The unique name of the resource.
- args AiGatewayMcpServiceArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args AiGatewayMcpServiceArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args AiGatewayMcpServiceArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args AiGatewayMcpServiceArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args AiGatewayMcpServiceArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var aiGatewayMcpServiceResource = new Databricks.AiGatewayMcpService("aiGatewayMcpServiceResource", new()
{
McpServiceId = "string",
Parent = "string",
Comment = "string",
Config = new Databricks.Inputs.AiGatewayMcpServiceConfigArgs
{
IncludeToolSelectors = new[]
{
"string",
},
RateLimits = new[]
{
new Databricks.Inputs.AiGatewayMcpServiceConfigRateLimitArgs
{
Key = "string",
RenewalPeriod = "string",
Principal = "string",
Requests = 0,
Tokens = 0,
},
},
SourceConnection = new Databricks.Inputs.AiGatewayMcpServiceConfigSourceConnectionArgs
{
Name = "string",
IsDeleted = false,
Options =
{
{ "string", "string" },
},
},
},
ProviderConfig = new Databricks.Inputs.AiGatewayMcpServiceProviderConfigArgs
{
WorkspaceId = "string",
},
});
example, err := databricks.NewAiGatewayMcpService(ctx, "aiGatewayMcpServiceResource", &databricks.AiGatewayMcpServiceArgs{
McpServiceId: pulumi.String("string"),
Parent: pulumi.String("string"),
Comment: pulumi.String("string"),
Config: &databricks.AiGatewayMcpServiceConfigArgs{
IncludeToolSelectors: pulumi.StringArray{
pulumi.String("string"),
},
RateLimits: databricks.AiGatewayMcpServiceConfigRateLimitArray{
&databricks.AiGatewayMcpServiceConfigRateLimitArgs{
Key: pulumi.String("string"),
RenewalPeriod: pulumi.String("string"),
Principal: pulumi.String("string"),
Requests: pulumi.Int(0),
Tokens: pulumi.Int(0),
},
},
SourceConnection: &databricks.AiGatewayMcpServiceConfigSourceConnectionArgs{
Name: pulumi.String("string"),
IsDeleted: pulumi.Bool(false),
Options: pulumi.StringMap{
"string": pulumi.String("string"),
},
},
},
ProviderConfig: &databricks.AiGatewayMcpServiceProviderConfigArgs{
WorkspaceId: pulumi.String("string"),
},
})
resource "databricks_ai_gateway_mcp_service" "aiGatewayMcpServiceResource" {
lifecycle {
create_before_destroy = true
}
mcp_service_id = "string"
parent = "string"
comment = "string"
config = {
include_tool_selectors = ["string"]
rate_limits = [{
key = "string"
renewal_period = "string"
principal = "string"
requests = 0
tokens = 0
}]
source_connection = {
name = "string"
is_deleted = false
options = {
"string" = "string"
}
}
}
provider_config = {
workspace_id = "string"
}
}
var aiGatewayMcpServiceResource = new AiGatewayMcpService("aiGatewayMcpServiceResource", AiGatewayMcpServiceArgs.builder()
.mcpServiceId("string")
.parent("string")
.comment("string")
.config(AiGatewayMcpServiceConfigArgs.builder()
.includeToolSelectors("string")
.rateLimits(AiGatewayMcpServiceConfigRateLimitArgs.builder()
.key("string")
.renewalPeriod("string")
.principal("string")
.requests(0)
.tokens(0)
.build())
.sourceConnection(AiGatewayMcpServiceConfigSourceConnectionArgs.builder()
.name("string")
.isDeleted(false)
.options(Map.of("string", "string"))
.build())
.build())
.providerConfig(AiGatewayMcpServiceProviderConfigArgs.builder()
.workspaceId("string")
.build())
.build());
ai_gateway_mcp_service_resource = databricks.AiGatewayMcpService("aiGatewayMcpServiceResource",
mcp_service_id="string",
parent="string",
comment="string",
config={
"include_tool_selectors": ["string"],
"rate_limits": [{
"key": "string",
"renewal_period": "string",
"principal": "string",
"requests": 0,
"tokens": 0,
}],
"source_connection": {
"name": "string",
"is_deleted": False,
"options": {
"string": "string",
},
},
},
provider_config={
"workspace_id": "string",
})
const aiGatewayMcpServiceResource = new databricks.AiGatewayMcpService("aiGatewayMcpServiceResource", {
mcpServiceId: "string",
parent: "string",
comment: "string",
config: {
includeToolSelectors: ["string"],
rateLimits: [{
key: "string",
renewalPeriod: "string",
principal: "string",
requests: 0,
tokens: 0,
}],
sourceConnection: {
name: "string",
isDeleted: false,
options: {
string: "string",
},
},
},
providerConfig: {
workspaceId: "string",
},
});
type: databricks:AiGatewayMcpService
properties:
comment: string
config:
includeToolSelectors:
- string
rateLimits:
- key: string
principal: string
renewalPeriod: string
requests: 0
tokens: 0
sourceConnection:
isDeleted: false
name: string
options:
string: string
mcpServiceId: string
parent: string
providerConfig:
workspaceId: string
AiGatewayMcpService Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The AiGatewayMcpService resource accepts the following input properties:
- Mcp
Service stringId - Name for the MCP service, e.g. "myMcpService"
- Parent string
- Name of the parent schema.
Format:
schemas/{catalog}.{schema}. Each{...}component is capped at 255 characters individually - Comment string
- User-provided description
- Config
Ai
Gateway Mcp Service Config - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - Provider
Config AiGateway Mcp Service Provider Config - Configure the provider for management through account provider.
- Mcp
Service stringId - Name for the MCP service, e.g. "myMcpService"
- Parent string
- Name of the parent schema.
Format:
schemas/{catalog}.{schema}. Each{...}component is capped at 255 characters individually - Comment string
- User-provided description
- Config
Ai
Gateway Mcp Service Config Args - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - Provider
Config AiGateway Mcp Service Provider Config Args - Configure the provider for management through account provider.
- mcp_
service_ stringid - Name for the MCP service, e.g. "myMcpService"
- parent string
- Name of the parent schema.
Format:
schemas/{catalog}.{schema}. Each{...}component is capped at 255 characters individually - comment string
- User-provided description
- config object
- Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - provider_
config object - Configure the provider for management through account provider.
- mcp
Service StringId - Name for the MCP service, e.g. "myMcpService"
- parent String
- Name of the parent schema.
Format:
schemas/{catalog}.{schema}. Each{...}component is capped at 255 characters individually - comment String
- User-provided description
- config
Ai
Gateway Mcp Service Config - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - provider
Config AiGateway Mcp Service Provider Config - Configure the provider for management through account provider.
- mcp
Service stringId - Name for the MCP service, e.g. "myMcpService"
- parent string
- Name of the parent schema.
Format:
schemas/{catalog}.{schema}. Each{...}component is capped at 255 characters individually - comment string
- User-provided description
- config
Ai
Gateway Mcp Service Config - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - provider
Config AiGateway Mcp Service Provider Config - Configure the provider for management through account provider.
- mcp_
service_ strid - Name for the MCP service, e.g. "myMcpService"
- parent str
- Name of the parent schema.
Format:
schemas/{catalog}.{schema}. Each{...}component is capped at 255 characters individually - comment str
- User-provided description
- config
Ai
Gateway Mcp Service Config Args - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - provider_
config AiGateway Mcp Service Provider Config Args - Configure the provider for management through account provider.
- mcp
Service StringId - Name for the MCP service, e.g. "myMcpService"
- parent String
- Name of the parent schema.
Format:
schemas/{catalog}.{schema}. Each{...}component is capped at 255 characters individually - comment String
- User-provided description
- config Property Map
- Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - provider
Config Property Map - Configure the provider for management through account provider.
Outputs
All input properties are implicitly available as output properties. Additionally, the AiGatewayMcpService resource produces the following output properties:
- Create
Time string - (string) - Time the MCP service was created
- Created
By string - (string) - Creator identity
- Effective
Owner string - (string) - Owner of the MCP service
- Etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - Id string
- The provider-assigned unique ID for this managed resource.
- Metastore
Id string - (string) - Metastore hosting the MCP service
- Name string
- (string) - Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - Update
Time string - (string) - Time the MCP service was last modified
- Updated
By string - (string) - Identity of the last updater
- Create
Time string - (string) - Time the MCP service was created
- Created
By string - (string) - Creator identity
- Effective
Owner string - (string) - Owner of the MCP service
- Etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - Id string
- The provider-assigned unique ID for this managed resource.
- Metastore
Id string - (string) - Metastore hosting the MCP service
- Name string
- (string) - Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - Update
Time string - (string) - Time the MCP service was last modified
- Updated
By string - (string) - Identity of the last updater
- create_
time string - (string) - Time the MCP service was created
- created_
by string - (string) - Creator identity
- effective_
owner string - (string) - Owner of the MCP service
- etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - id string
- The provider-assigned unique ID for this managed resource.
- metastore_
id string - (string) - Metastore hosting the MCP service
- name string
- (string) - Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - update_
time string - (string) - Time the MCP service was last modified
- updated_
by string - (string) - Identity of the last updater
- create
Time String - (string) - Time the MCP service was created
- created
By String - (string) - Creator identity
- effective
Owner String - (string) - Owner of the MCP service
- etag String
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - id String
- The provider-assigned unique ID for this managed resource.
- metastore
Id String - (string) - Metastore hosting the MCP service
- name String
- (string) - Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - update
Time String - (string) - Time the MCP service was last modified
- updated
By String - (string) - Identity of the last updater
- create
Time string - (string) - Time the MCP service was created
- created
By string - (string) - Creator identity
- effective
Owner string - (string) - Owner of the MCP service
- etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - id string
- The provider-assigned unique ID for this managed resource.
- metastore
Id string - (string) - Metastore hosting the MCP service
- name string
- (string) - Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - update
Time string - (string) - Time the MCP service was last modified
- updated
By string - (string) - Identity of the last updater
- create_
time str - (string) - Time the MCP service was created
- created_
by str - (string) - Creator identity
- effective_
owner str - (string) - Owner of the MCP service
- etag str
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - id str
- The provider-assigned unique ID for this managed resource.
- metastore_
id str - (string) - Metastore hosting the MCP service
- name str
- (string) - Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - update_
time str - (string) - Time the MCP service was last modified
- updated_
by str - (string) - Identity of the last updater
- create
Time String - (string) - Time the MCP service was created
- created
By String - (string) - Creator identity
- effective
Owner String - (string) - Owner of the MCP service
- etag String
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - id String
- The provider-assigned unique ID for this managed resource.
- metastore
Id String - (string) - Metastore hosting the MCP service
- name String
- (string) - Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - update
Time String - (string) - Time the MCP service was last modified
- updated
By String - (string) - Identity of the last updater
Look up Existing AiGatewayMcpService Resource
Get an existing AiGatewayMcpService resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: AiGatewayMcpServiceState, opts?: CustomResourceOptions): AiGatewayMcpService@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
comment: Optional[str] = None,
config: Optional[AiGatewayMcpServiceConfigArgs] = None,
create_time: Optional[str] = None,
created_by: Optional[str] = None,
effective_owner: Optional[str] = None,
etag: Optional[str] = None,
mcp_service_id: Optional[str] = None,
metastore_id: Optional[str] = None,
name: Optional[str] = None,
parent: Optional[str] = None,
provider_config: Optional[AiGatewayMcpServiceProviderConfigArgs] = None,
update_time: Optional[str] = None,
updated_by: Optional[str] = None) -> AiGatewayMcpServicefunc GetAiGatewayMcpService(ctx *Context, name string, id IDInput, state *AiGatewayMcpServiceState, opts ...ResourceOption) (*AiGatewayMcpService, error)public static AiGatewayMcpService Get(string name, Input<string> id, AiGatewayMcpServiceState? state, CustomResourceOptions? opts = null)public static AiGatewayMcpService get(String name, Output<String> id, AiGatewayMcpServiceState state, CustomResourceOptions options)resources: _: type: databricks:AiGatewayMcpService get: id: ${id}import {
to = databricks_ai_gateway_mcp_service.example
id = "${id}"
}
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Comment string
- User-provided description
- Config
Ai
Gateway Mcp Service Config - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - Create
Time string - (string) - Time the MCP service was created
- Created
By string - (string) - Creator identity
- Effective
Owner string - (string) - Owner of the MCP service
- Etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - Mcp
Service stringId - Name for the MCP service, e.g. "myMcpService"
- Metastore
Id string - (string) - Metastore hosting the MCP service
- Name string
- (string) - Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - Parent string
- Name of the parent schema.
Format:
schemas/{catalog}.{schema}. Each{...}component is capped at 255 characters individually - Provider
Config AiGateway Mcp Service Provider Config - Configure the provider for management through account provider.
- Update
Time string - (string) - Time the MCP service was last modified
- Updated
By string - (string) - Identity of the last updater
- Comment string
- User-provided description
- Config
Ai
Gateway Mcp Service Config Args - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - Create
Time string - (string) - Time the MCP service was created
- Created
By string - (string) - Creator identity
- Effective
Owner string - (string) - Owner of the MCP service
- Etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - Mcp
Service stringId - Name for the MCP service, e.g. "myMcpService"
- Metastore
Id string - (string) - Metastore hosting the MCP service
- Name string
- (string) - Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - Parent string
- Name of the parent schema.
Format:
schemas/{catalog}.{schema}. Each{...}component is capped at 255 characters individually - Provider
Config AiGateway Mcp Service Provider Config Args - Configure the provider for management through account provider.
- Update
Time string - (string) - Time the MCP service was last modified
- Updated
By string - (string) - Identity of the last updater
- comment string
- User-provided description
- config object
- Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - create_
time string - (string) - Time the MCP service was created
- created_
by string - (string) - Creator identity
- effective_
owner string - (string) - Owner of the MCP service
- etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - mcp_
service_ stringid - Name for the MCP service, e.g. "myMcpService"
- metastore_
id string - (string) - Metastore hosting the MCP service
- name string
- (string) - Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - parent string
- Name of the parent schema.
Format:
schemas/{catalog}.{schema}. Each{...}component is capped at 255 characters individually - provider_
config object - Configure the provider for management through account provider.
- update_
time string - (string) - Time the MCP service was last modified
- updated_
by string - (string) - Identity of the last updater
- comment String
- User-provided description
- config
Ai
Gateway Mcp Service Config - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - create
Time String - (string) - Time the MCP service was created
- created
By String - (string) - Creator identity
- effective
Owner String - (string) - Owner of the MCP service
- etag String
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - mcp
Service StringId - Name for the MCP service, e.g. "myMcpService"
- metastore
Id String - (string) - Metastore hosting the MCP service
- name String
- (string) - Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - parent String
- Name of the parent schema.
Format:
schemas/{catalog}.{schema}. Each{...}component is capped at 255 characters individually - provider
Config AiGateway Mcp Service Provider Config - Configure the provider for management through account provider.
- update
Time String - (string) - Time the MCP service was last modified
- updated
By String - (string) - Identity of the last updater
- comment string
- User-provided description
- config
Ai
Gateway Mcp Service Config - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - create
Time string - (string) - Time the MCP service was created
- created
By string - (string) - Creator identity
- effective
Owner string - (string) - Owner of the MCP service
- etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - mcp
Service stringId - Name for the MCP service, e.g. "myMcpService"
- metastore
Id string - (string) - Metastore hosting the MCP service
- name string
- (string) - Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - parent string
- Name of the parent schema.
Format:
schemas/{catalog}.{schema}. Each{...}component is capped at 255 characters individually - provider
Config AiGateway Mcp Service Provider Config - Configure the provider for management through account provider.
- update
Time string - (string) - Time the MCP service was last modified
- updated
By string - (string) - Identity of the last updater
- comment str
- User-provided description
- config
Ai
Gateway Mcp Service Config Args - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - create_
time str - (string) - Time the MCP service was created
- created_
by str - (string) - Creator identity
- effective_
owner str - (string) - Owner of the MCP service
- etag str
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - mcp_
service_ strid - Name for the MCP service, e.g. "myMcpService"
- metastore_
id str - (string) - Metastore hosting the MCP service
- name str
- (string) - Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - parent str
- Name of the parent schema.
Format:
schemas/{catalog}.{schema}. Each{...}component is capped at 255 characters individually - provider_
config AiGateway Mcp Service Provider Config Args - Configure the provider for management through account provider.
- update_
time str - (string) - Time the MCP service was last modified
- updated_
by str - (string) - Identity of the last updater
- comment String
- User-provided description
- config Property Map
- Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - create
Time String - (string) - Time the MCP service was created
- created
By String - (string) - Creator identity
- effective
Owner String - (string) - Owner of the MCP service
- etag String
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - mcp
Service StringId - Name for the MCP service, e.g. "myMcpService"
- metastore
Id String - (string) - Metastore hosting the MCP service
- name String
- (string) - Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - parent String
- Name of the parent schema.
Format:
schemas/{catalog}.{schema}. Each{...}component is capped at 255 characters individually - provider
Config Property Map - Configure the provider for management through account provider.
- update
Time String - (string) - Time the MCP service was last modified
- updated
By String - (string) - Identity of the last updater
Supporting Types
AiGatewayMcpServiceConfig, AiGatewayMcpServiceConfigArgs
- Include
Tool List<string>Selectors - Tool names or prefix patterns to expose from the MCP server. Use exact
tool names or prefix patterns such as
read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters - Rate
Limits List<AiGateway Mcp Service Config Rate Limit> - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
- Source
Connection AiGateway Mcp Service Config Source Connection - Unity Catalog connection referencing the MCP server. Required on Create
- Include
Tool []stringSelectors - Tool names or prefix patterns to expose from the MCP server. Use exact
tool names or prefix patterns such as
read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters - Rate
Limits []AiGateway Mcp Service Config Rate Limit - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
- Source
Connection AiGateway Mcp Service Config Source Connection - Unity Catalog connection referencing the MCP server. Required on Create
- include_
tool_ list(string)selectors - Tool names or prefix patterns to expose from the MCP server. Use exact
tool names or prefix patterns such as
read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters - rate_
limits list(object) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
- source_
connection object - Unity Catalog connection referencing the MCP server. Required on Create
- include
Tool List<String>Selectors - Tool names or prefix patterns to expose from the MCP server. Use exact
tool names or prefix patterns such as
read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters - rate
Limits List<AiGateway Mcp Service Config Rate Limit> - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
- source
Connection AiGateway Mcp Service Config Source Connection - Unity Catalog connection referencing the MCP server. Required on Create
- include
Tool string[]Selectors - Tool names or prefix patterns to expose from the MCP server. Use exact
tool names or prefix patterns such as
read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters - rate
Limits AiGateway Mcp Service Config Rate Limit[] - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
- source
Connection AiGateway Mcp Service Config Source Connection - Unity Catalog connection referencing the MCP server. Required on Create
- include_
tool_ Sequence[str]selectors - Tool names or prefix patterns to expose from the MCP server. Use exact
tool names or prefix patterns such as
read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters - rate_
limits Sequence[AiGateway Mcp Service Config Rate Limit] - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
- source_
connection AiGateway Mcp Service Config Source Connection - Unity Catalog connection referencing the MCP server. Required on Create
- include
Tool List<String>Selectors - Tool names or prefix patterns to expose from the MCP server. Use exact
tool names or prefix patterns such as
read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters - rate
Limits List<Property Map> - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
- source
Connection Property Map - Unity Catalog connection referencing the MCP server. Required on Create
AiGatewayMcpServiceConfigRateLimit, AiGatewayMcpServiceConfigRateLimitArgs
- Key string
- Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - Renewal
Period string - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - Principal string
- Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - Requests int
- Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - Tokens int
- Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- Key string
- Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - Renewal
Period string - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - Principal string
- Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - Requests int
- Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - Tokens int
- Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- key string
- Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - renewal_
period string - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - principal string
- Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - requests number
- Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - tokens number
- Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- key String
- Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - renewal
Period String - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - principal String
- Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - requests Integer
- Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - tokens Integer
- Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- key string
- Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - renewal
Period string - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - principal string
- Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - requests number
- Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - tokens number
- Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- key str
- Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - renewal_
period str - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - principal str
- Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - requests int
- Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - tokens int
- Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- key String
- Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - renewal
Period String - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - principal String
- Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - requests Number
- Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - tokens Number
- Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
AiGatewayMcpServiceConfigSourceConnection, AiGatewayMcpServiceConfigSourceConnectionArgs
- Name string
- (string) - Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - Is
Deleted bool - (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
- Options Dictionary<string, string>
- (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it
includes:
authorizationEndpoint(OAuth authorize URL),tokenEndpoint(token-exchange URL),oauthScope(space-separated scopes to request),clientId(OAuth client id), andoauthProvider(the OAuth provider)
- Name string
- (string) - Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - Is
Deleted bool - (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
- Options map[string]string
- (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it
includes:
authorizationEndpoint(OAuth authorize URL),tokenEndpoint(token-exchange URL),oauthScope(space-separated scopes to request),clientId(OAuth client id), andoauthProvider(the OAuth provider)
- name string
- (string) - Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - is_
deleted bool - (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
- options map(string)
- (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it
includes:
authorizationEndpoint(OAuth authorize URL),tokenEndpoint(token-exchange URL),oauthScope(space-separated scopes to request),clientId(OAuth client id), andoauthProvider(the OAuth provider)
- name String
- (string) - Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - is
Deleted Boolean - (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
- options Map<String,String>
- (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it
includes:
authorizationEndpoint(OAuth authorize URL),tokenEndpoint(token-exchange URL),oauthScope(space-separated scopes to request),clientId(OAuth client id), andoauthProvider(the OAuth provider)
- name string
- (string) - Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - is
Deleted boolean - (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
- options {[key: string]: string}
- (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it
includes:
authorizationEndpoint(OAuth authorize URL),tokenEndpoint(token-exchange URL),oauthScope(space-separated scopes to request),clientId(OAuth client id), andoauthProvider(the OAuth provider)
- name str
- (string) - Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - is_
deleted bool - (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
- options Mapping[str, str]
- (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it
includes:
authorizationEndpoint(OAuth authorize URL),tokenEndpoint(token-exchange URL),oauthScope(space-separated scopes to request),clientId(OAuth client id), andoauthProvider(the OAuth provider)
- name String
- (string) - Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - is
Deleted Boolean - (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
- options Map<String>
- (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it
includes:
authorizationEndpoint(OAuth authorize URL),tokenEndpoint(token-exchange URL),oauthScope(space-separated scopes to request),clientId(OAuth client id), andoauthProvider(the OAuth provider)
AiGatewayMcpServiceProviderConfig, AiGatewayMcpServiceProviderConfigArgs
- Workspace
Id string - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- Workspace
Id string - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace_
id string - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace
Id String - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace
Id string - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace_
id str - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace
Id String - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
Package Details
- Repository
- databricks pulumi/pulumi-databricks
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
databricksTerraform Provider.
published on Tuesday, Oct 20, 2026 by Pulumi